Create Board
curl --request POST \
--url https://api.example.com/api/v1/boards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"settings": {
"bug_test_gate_min_severity": "minor",
"cognitive_llm_config": {},
"max_drift": 50,
"max_scenarios_per_card": 3,
"max_spec_ambiguity": 30,
"min_completeness": 80,
"min_confidence": 70,
"min_spec_assertiveness": 80,
"min_spec_completeness": 80,
"require_spec_validation": false,
"require_task_validation": false,
"require_test_task_for_bug": true,
"skip_contract_coverage_global": false,
"skip_decisions_coverage_global": false,
"skip_rules_coverage_global": false,
"skip_test_coverage_global": false,
"skip_test_evidence_global": false,
"skip_trs_coverage_global": false
}
}
'import requests
url = "https://api.example.com/api/v1/boards"
payload = {
"name": "<string>",
"description": "<string>",
"settings": {
"bug_test_gate_min_severity": "minor",
"cognitive_llm_config": {},
"max_drift": 50,
"max_scenarios_per_card": 3,
"max_spec_ambiguity": 30,
"min_completeness": 80,
"min_confidence": 70,
"min_spec_assertiveness": 80,
"min_spec_completeness": 80,
"require_spec_validation": False,
"require_task_validation": False,
"require_test_task_for_bug": True,
"skip_contract_coverage_global": False,
"skip_decisions_coverage_global": False,
"skip_rules_coverage_global": False,
"skip_test_coverage_global": False,
"skip_test_evidence_global": False,
"skip_trs_coverage_global": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
settings: {
bug_test_gate_min_severity: 'minor',
cognitive_llm_config: {},
max_drift: 50,
max_scenarios_per_card: 3,
max_spec_ambiguity: 30,
min_completeness: 80,
min_confidence: 70,
min_spec_assertiveness: 80,
min_spec_completeness: 80,
require_spec_validation: false,
require_task_validation: false,
require_test_task_for_bug: true,
skip_contract_coverage_global: false,
skip_decisions_coverage_global: false,
skip_rules_coverage_global: false,
skip_test_coverage_global: false,
skip_test_evidence_global: false,
skip_trs_coverage_global: false
}
})
};
fetch('https://api.example.com/api/v1/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"agents": [],
"cards": [],
"realm_id": "<string>",
"settings": {
"bug_test_gate_min_severity": "minor",
"cognitive_llm_config": {},
"max_drift": 50,
"max_scenarios_per_card": 3,
"max_spec_ambiguity": 30,
"min_completeness": 80,
"min_confidence": 70,
"min_spec_assertiveness": 80,
"min_spec_completeness": 80,
"require_spec_validation": false,
"require_task_validation": false,
"require_test_task_for_bug": true,
"skip_contract_coverage_global": false,
"skip_decisions_coverage_global": false,
"skip_rules_coverage_global": false,
"skip_test_coverage_global": false,
"skip_test_evidence_global": false,
"skip_trs_coverage_global": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}boards
Create Board
Create a new board.
POST
/
api
/
v1
/
boards
Create Board
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Schema for board response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Board-level settings for governance rules.
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I